import { PrankCategoryModalAN, } from '../constants'
import { PrankCategoryModalStateM, } from '../../models/stateModels'

export class Type
{
    setState: (state: PrankCategoryModalStateM) => void
    toggleVisibility: (isShow: Boolean) => void
}

export default class PrankCategoryModalAC
{
    static setState(state: PrankCategoryModalStateM)
    {
        return {
            type: PrankCategoryModalAN.SET_STATE,
            payload: state,
        }
    }

    static toggleVisibility(isShow: Boolean)
    {
        return {
            type: PrankCategoryModalAN.TOGGLE_VISIBILITY,
            payload: isShow,
        }
    }

}
